package com.docus.server.collect.user.http;

import com.docus.core.util.json.JSON;
import com.docus.infrastructure.web.api.CommonResult;
import com.docus.server.ws.IHttpResult;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component("httpUserResultImpl")
public class HttpUserResultImpl implements IHttpResult {

    @Override
    public String ok(Map<String, Object> params) {
        return JSON.toJSON(CommonResult.success("ok"));
    }

    @Override
    public String fail(Map<String, Object> params) {
        return JSON.toJSON(CommonResult.failed("fail"));
    }
}
